'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('normalize.css/normalize.css');

require('medium-editor/dist/css/medium-editor.css');

require('medium-editor/dist/css/themes/default.css');

require('./kattappa.scss');

require('./style.scss');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _ = require('./');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var initBlock = [{
  type: "text",
  data: 'Hello World',
  key: _2.default.uuid()
}, {
  type: "image",
  key: _2.default.uuid(),
  data: {
    url: "http://www.nutritionsecrets.com/wp-content/uploads/2015/04/Feature3_image2_vitD.jpg",
    subtext: "nutritionsecrets.com",
    hyperlink: ""
  }
}];

var Blocks = _2.default.Blocks;
var Editor = _2.default.Editor;
var EmbedTypes = Blocks.embed.EmbedTypes;


function getBlocks() {
  return initBlock;
}

function onChange(position, content) {
  initBlock[position].data = content;
}

function onSave(blocks) {
  console.log(blocks);
}

function onFilesAdded(files) {
  var success = arguments.length <= 1 || arguments[1] === undefined ? null : arguments[1];
  var error = arguments.length <= 2 || arguments[2] === undefined ? null : arguments[2];

  if (success) {
    success.call(null, files[0].preview);
    console.log('Success');
  }
}

var Container = function (_React$Component) {
  _inherits(Container, _React$Component);

  function Container(props) {
    _classCallCheck(this, Container);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(Container).call(this, props));

    _this.state = {
      blocks: initBlock
    };

    _this.save = _this.save.bind(_this);
    _this.getBlocks = _this.getBlocks.bind(_this);
    _this.onChange = function (blocks) {
      return _this.setState({ blocks: blocks });
    };
    return _this;
  }

  _createClass(Container, [{
    key: 'getBlocks',
    value: function getBlocks() {
      return this.state.blocks;
    }
  }, {
    key: 'save',
    value: function save() {
      console.log(this.state.blocks);
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          'button',
          { onClick: this.save },
          'console.log'
        ),
        _react2.default.createElement(Editor, {
          ref: 'kattappa',
          blocks: this.state.blocks,
          onChange: this.onChange,
          availableBlocks: Blocks,
          EmbedTypes: EmbedTypes,
          splitter: '<p><br></p>',
          getBlocks: this.getBlocks,
          onFilesAdded: onFilesAdded })
      );
    }
  }]);

  return Container;
}(_react2.default.Component);

_reactDom2.default.render(_react2.default.createElement(Container, null), document.getElementById('editor-content'));